ARCH    = OS
APPNAME = CDEV Utility Applications

include ../../include/makeinclude/Makefile.$(ARCH)

TARGETS  = $(CDEV)/bin/$(TARGETDIR)/cdevUtil \
           $(CDEV)/bin/$(TARGETDIR)/cddl \
           $(CDEV)/bin/$(TARGETDIR)/uncompile 
BINARIES = $(TARGETS)
CXXEXTRA = $(CLASS_INCLUDES) -I. -I../directory

hpux hpux-sl hpux-cl hpux-cl-sl irix5 irix5-sl sunos4-gcc sunos4-gcc-sl solaris solaris-sl solaris-gcc solaris-gcc-sl ultrix-gcc aix linux linux-sl:
	@$(MAKE) -s ARCH=$@

targets: CBINDIR $(TARGETS)

CBINDIR:
	@mkdir -p $(CDEVBIN)

cdevUtil: $(CDEV)/bin/$(TARGETDIR)/cdevUtil
	@echo "\c"

cddl: $(CDEV)/bin/$(TARGETDIR)/cddl
	@echo "\c"

uncompile: $(CDEV)/bin/$(TARGETDIR)/uncompile
	@echo "\c"

$(CDEV)/bin/$(TARGETDIR)/cdevUtil: $(OBJDIR)/cdevUtil.o
	@mkdir -p $(CDEV)/bin/$(TARGETDIR)
	@$(LINK.cc)

$(CDEV)/bin/$(TARGETDIR)/cddl: $(OBJDIR)/cddl.o
	@mkdir -p $(CDEV)/bin/$(TARGETDIR)
	@$(LINK.cc)

$(CDEV)/bin/$(TARGETDIR)/uncompile: $(OBJDIR)/uncompile.o
	@mkdir -p $(CDEV)/bin/$(TARGETDIR)
	@$(LINK.cc)
